import 'package:mobile_pos/mobile_pos_sdk.dart';

class BankBoxConfig {
  ///Called when a transaction completes successfully
  final Function(dynamic) onSuccess;

  ///Called when a transaction fails
  final Function(BankBoxException exception) onError;

  ///Defaults to [RavenMobilePOSEnviroment.staging],
  final BankBoxEnviroment enviroment;

  ///Customise the look and feel of the plugin
  MobilePOSTheme? theme;

  ///Contains details about this app instance
  AppInfo appInfo;

  ///Set to true if you wish to show the label at the bottom
  bool showLabel;

  ///Infomation about current user
  CustomerInfo customerInfo;

  BankBoxConfig(
      {required this.onSuccess,
      required this.onError,
      required this.appInfo,
      this.showLabel = true,
      this.theme,
      required this.customerInfo,
      this.enviroment = BankBoxEnviroment.staging})
      : super() {
    theme = theme ?? MobilePOSTheme.defaults();
  }

  bool get isStaging => enviroment == BankBoxEnviroment.staging;
}
